# IsImplicit

Property in [NodeDebugInfo](/api/csharp/yarn.compiler/yarn.compiler.nodedebuginfo.md)

## Summary

Gets or sets a value indicating whether this node was created by the compiler.

```csharp
public bool IsImplicit { get; internal set; }
```

## Remarks

Nodes that exist in a .yarn file have an [IsImplicit](/api/csharp/yarn.compiler/yarn.compiler.nodedebuginfo/yarn.compiler.nodedebuginfo.isimplicit.md) value of `false` . Nodes that are generated by the compiler include smart variable implementations, and node group 'hub' nodes.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/api/csharp/yarn.compiler/yarn.compiler.nodedebuginfo/yarn.compiler.nodedebuginfo.isimplicit.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
